! ccxで計算した変位を初期座標に足した変形図や
! ccxで座屈解析したときの座屈モードをcgxに描かせる手順。
! ccxで計算して出力されたfrdファイルの中の上の方の節点座標のところを
! frd.dにコピーし、冒頭に節点数を書いておく。
! 次に、変位を描かせる場合は、ccxで計算して出力されたdatファイルの
!  冒頭にあるdisplacements(vx,vy,vz)と書かれているところの下の
!  変位をdat.dにコピーしておく。
! 座屈モードを描かせる場合は、ccxで座屈解析したdatファイルの中の
!                   E I G E N V A L U E    N U M B E R     1
!  と書かれてるところをviの/E\ で検索する。
!  この下に1次の座屈モードuvwが書かれているので、この部分を
!  dat.dにコピーしておく。
! ./tasu を実行すると、tasu.dが生成されるので、
! frdファイルの中の節点座標のところをtasu.dと置き換えれば、
! cgxで変形図や座屈モードが見れる。
            implicit real*8(a-h,o-z)
! 座屈後の変位量を初期座標に足す。
            print*,'モードの倍率をいれて'
            read*,bai
             open(7,file='frd.d')
             open(8,file='dat.d')
             open(9,file='tasu.d')
             read(7,*) n
            do i=1,n
             read(7,100) ngomi,nsetten,x,y,z
!            read(7,*) ngomi,nsetten,x,y,z
! 2007年の卒論生は、フォーマットなしで読めてたらしいんだけど、
! たまたま変位に-がつかなかったからとか?
             read(8,*) msetten,u,v,w
              xu=x+u*bai
              yv=y+v*bai
              zw=z+w*bai
             write(9,100) -1,nsetten,xu,yv,zw
100          format(i3,i10,1p3e12.5)
            end do
             close(7)
             close(8)
             close(9)
            end
